%define alphatag %{nil}
%define pypi_name pyusb

Name:       python-%{pypi_name}
Version:    1.3.0
Release:    %mkrel 2
Summary:    Python bindings for libusb
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/pyusb/
Source0:    %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
PyUSB provides easy USB access to python. The pypi_name contains classes and
methods to support most USB operations.

%package -n python3-%{pypi_name}
Summary:    Python 3 bindings for libusb
Group:      Development/Python

%description -n python3-%{pypi_name}
PyUSB provides easy USB access to python 3. The pypi_name contains classes and
methods to support most USB operations.

%prep
%setup -q -n %{pypi_name}-%{version}%{alphatag}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files usb

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE README.rst



%changelog
* Sat Mar 01 2025 wally <wally> 1.3.0-2.mga10
+ Revision: 2155673
- rebuild for python3.13

* Thu Jan 02 2025 daviddavid <daviddavid> 1.3.0-1.mga10
+ Revision: 2134930
- new version: 1.3.0

* Thu Dec 14 2023 papoteur <papoteur> 1.2.1-3.mga10
+ Revision: 2018068
- rebuild for python 3.12

* Fri Mar 25 2022 umeabot <umeabot> 1.2.1-2.mga9
+ Revision: 1827081
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 1.2.1-1.mga9
+ Revision: 1778237
- version 1.2.1
- rebuild for python-3.10

* Sun Apr 04 2021 guillomovitch <guillomovitch> 1.1.1-1.mga9
+ Revision: 1713099
- new version 1.1.1

* Sun Feb 16 2020 umeabot <umeabot> 1.0.2-6.mga8
+ Revision: 1532489
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 guillomovitch <guillomovitch> 1.0.2-5.mga8
+ Revision: 1442454
- rebuild for python 3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 1.0.2-4.mga7
+ Revision: 1352352
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.2-3.mga7
+ Revision: 1289940
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 daviddavid <daviddavid> 1.0.2-2.mga7
+ Revision: 1237350
- fix missing provides on pyusb

* Fri Jun 15 2018 joequant <joequant> 1.0.2-1.mga7
+ Revision: 1237013
- update to pyusb

* Sat Aug 05 2017 pterjan <pterjan> 1.0.0-15.mga7
+ Revision: 1135592
- Rebuild for python 3.6

* Fri Oct 07 2016 joequant <joequant> 1.0.0-14.mga6
+ Revision: 1059310
- sync to release version 1.0.0

* Fri Feb 19 2016 umeabot <umeabot> 1.0.0-13.mga6
+ Revision: 970857
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 tv <tv> 1.0.0-12.mga6
+ Revision: 888594
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-11.mga5
+ Revision: 741578
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.0-10.mga5
+ Revision: 729608
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-9.mga5
+ Revision: 688289
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 1.0.0-8.mga5
+ Revision: 643771
- Replace libusb*-devel BuildRequires by better ones

* Sat May 31 2014 pterjan <pterjan> 1.0.0-7.mga5
+ Revision: 628973
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.0-6.mga4
+ Revision: 544241
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.0-5.mga4
+ Revision: 499276
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Sep 17 2013 philippem <philippem> 1.0.0-4.mga4
+ Revision: 480918
- rename pyusb as python-pyusb
- rename pyusb as python-pyusb

* Fri Aug 16 2013 philippem <philippem> 1.0.0-3.mga4
+ Revision: 466914
- update to 1.0.0a3, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 379764
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 22 2011 philippem <philippem> 1.0.0-1.mga2
+ Revision: 157399
- update to 1.0.0-a1
- build as noarch

* Thu May 12 2011 tmb <tmb> 0.4.1-8.mga1
+ Revision: 97657
- fix group
- drop buildroot
- imported package pyusb

